Delete email draft
curl --request DELETE \
--url https://api.openmail.sh/v1/drafts/{draftId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "2023-11-07T05:31:56Z",
"inboxId": "<string>"
}
'import requests
url = "https://api.openmail.sh/v1/drafts/{draftId}"
payload = {
"updatedAt": "2023-11-07T05:31:56Z",
"inboxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({updatedAt: '2023-11-07T05:31:56Z', inboxId: '<string>'})
};
fetch('https://api.openmail.sh/v1/drafts/{draftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openmail.sh/v1/drafts/{draftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'updatedAt' => '2023-11-07T05:31:56Z',
'inboxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openmail.sh/v1/drafts/{draftId}"
payload := strings.NewReader("{\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"inboxId\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.openmail.sh/v1/drafts/{draftId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"inboxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openmail.sh/v1/drafts/{draftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"inboxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"deleted": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Drafts
Delete email draft
Permanently discard an unsent draft and its stored attachments without sending email. Requires the exact saved updatedAt. Stale versions and pending or accepted sends cannot be deleted. Scoped API keys may delete only drafts in their inbox or pod. MCP OAuth requires send permission. Missing or already removed drafts return 404.
DELETE
https://api.openmail.sh
/
v1
/
drafts
/
{draftId}
Delete email draft
curl --request DELETE \
--url https://api.openmail.sh/v1/drafts/{draftId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "2023-11-07T05:31:56Z",
"inboxId": "<string>"
}
'import requests
url = "https://api.openmail.sh/v1/drafts/{draftId}"
payload = {
"updatedAt": "2023-11-07T05:31:56Z",
"inboxId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({updatedAt: '2023-11-07T05:31:56Z', inboxId: '<string>'})
};
fetch('https://api.openmail.sh/v1/drafts/{draftId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openmail.sh/v1/drafts/{draftId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'updatedAt' => '2023-11-07T05:31:56Z',
'inboxId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openmail.sh/v1/drafts/{draftId}"
payload := strings.NewReader("{\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"inboxId\": \"<string>\"\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.openmail.sh/v1/drafts/{draftId}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"inboxId\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openmail.sh/v1/drafts/{draftId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"updatedAt\": \"2023-11-07T05:31:56Z\",\n \"inboxId\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"deleted": true
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Authorizations
Body
application/json
Was this page helpful?